This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 811617 (CVE-2012-2090)

Summary: CVE-2012-2090 SimGear, FlightGear: Multiple format string flaws
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fabrice, tcallawa
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120309,reported=20120410,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/FlightGear=affected,fedora-all/SimGear=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 811634, 811636    
Bug Blocks:    

Description Jan Lieskovsky 2012-04-11 10:34:26 EDT
Multiple format string flaws were reported:
[1] http://sourceforge.net/mailarchive/message.php?msg_id=28957051

in the way Flight Gear, the flight simulator, and SimGear, a simulation library components performed retrieval of various data chunk values from XML aircraft (FlightGear) or scene graph (SimGear) model data files. A remote attacker could provide a specially-crafted XML model file, which once opened by a local, unsuspecting user in FlightGear / in an application linked against SimGear, would lead to that particular executable crash.

CVE Request:
[2] http://www.openwall.com/lists/oss-security/2012/04/10/9

CVE Assignment:
[3] http://www.openwall.com/lists/oss-security/2012/04/10/13

Upstream patch:
None as of right now.
Comment 1 Jan Lieskovsky 2012-04-11 11:13:30 EDT
Created FlightGear tracking bugs for this issue

Affects: fedora-all [bug 811634]
Comment 2 Jan Lieskovsky 2012-04-11 11:20:23 EDT
Created SimGear tracking bugs for this issue

Affects: fedora-all [bug 811636]
Comment 3 Fedora Update System 2012-06-08 19:56:50 EDT
FlightGear-2.4.0-2.fc16, SimGear-2.4.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-06-08 19:58:18 EDT
FlightGear-2.6.0-2.fc17, SimGear-2.6.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-06-08 20:01:33 EDT
FlightGear-2.0.0-6.fc15, SimGear-2.0.0-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.